Subject: Re: [PATCH] Added make options NO_GUI and WITH_P4IMPORT.

From: Eygene Ryabinkin <[email-masked]>
Date: Wed, 21 Mar 2007 19:01:26 +0300

Johannes,

Wed, Mar 21, 2007 at 04:35:03PM +0100, Johannes Schindelin wrote:
> I will make my point very clear now:
> 
> People like you compile the source not so much to develop _in_ Git, but 
> _with_ Git. So, you are likely to "./configure && make install".
> 
> For something like "./configure && make install", it makes tons of sense 
> to check which dependencies are there, and which are not. Then, depending 
> if it is possible to compile (or install) only parts of Git, because some 
> dependencies are not met, ./configure can figure out what flags to set.

Yes, I see your point. But up to date (with 1.5.0.3 tarball) I saw no
stock configure and thus used the 'make && make install' sequence with
the 'prefix' set to some good location. Reading the INSTALL file
I've found that the
'make configure && ./configure --prefix=<blah> && make && make install'
will do the trick too. I just was unaware of it since I was using the
first sequence. And thus I happened to do 'NO_GUI=yes make && make install'.

> Now, if you have no X11 installed (and consequently no Tk), it is very 
> easy for ./configure to find out what to do.
> 
> However, if you state that you want to have no gui (and you state it as 
> such), you are not caring if X11 is installed or not! And ./configure 
> cannot figure out what you want, based on what it finds, since it cannot 
> read your mind. At least that is what I expect.

OK. So configure needs the detection of the Tcl/Tk and the --disable-gui
option. And the Makefile can be modified to get the additional
NO_TCL_TK option that will help configure to inform the Makefile
that no Tcl/Tk is here.

Technically, the checks in Makefile will look as 'ifndef NO_GUI && NO_TCL_TK'
instead of 'ifndef NO_GUI'. Later they can diverge as the software will
evolve.

Are people happy with such plan?
-- 
Eygene